Skip to main content
GET
/
dev
/
v1
/
affiliates
/
customers
List affiliate customers
curl --request GET \
  --url https://api.shoppex.io/dev/v1/affiliates/customers \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "customers": [
      {
        "id": "cus_1",
        "affiliate_link_id": "alink_1",
        "customer_id": "cus_1",
        "email": "creator@example.com",
        "name": "Creator",
        "code": "creator",
        "url": "https://demo.shoppex.io?via=creator",
        "total_sales": 4,
        "total_revenue": 180,
        "total_commission": 36,
        "available_balance": 12,
        "status": "approved",
        "is_active": true,
        "is_approved": true,
        "joined_at": "2026-03-15T10:00:00.000Z",
        "updated_at": "2026-03-15T11:00:00.000Z"
      }
    ],
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Query Parameters

status
string
page
string
limit
string

Response

200 - application/json

Successful response

data
object[]
pagination
object